Bug 33142 - new float() without assignment raises CS0201 error
Summary: new float() without assignment raises CS0201 error
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: All All
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-08-16 14:20 UTC by Alexander Köplinger
Modified: 2015-08-17 05:44 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Alexander Köplinger 2015-08-16 14:20:51 UTC
Take the following code:

> public class Test
> {
> 	public static void Main()
> 	{
>		new float();
>	}
>}

Compile it:

> $ mcs test.cs 
> test.cs(5,3): error CS0201: Only assignment, call, increment, decrement, await, and new object expressions can be used as a statement

It compiles fine with MS csc.exe. This was found in one of the dotnet/coreclr test cases, not sure how relevant it is in real code given that it's basically a nop.
Comment 1 Marek Safar 2015-08-17 05:44:05 UTC
Fixed in master

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 33142 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: